package com.lframework.xingyun.sc.mappers;

import com.lframework.xingyun.sc.entity.TblLendOutReturnDetail;
import com.lframework.starter.web.mapper.BaseMapper;
import java.math.BigDecimal;
import com.lframework.starter.web.vo.BaseVo;
import com.lframework.starter.web.vo.PageVo;
import io.swagger.annotations.ApiModelProperty;
import com.lframework.starter.web.components.validation.TypeMismatch;
import com.lframework.xingyun.sc.vo.lend.tbllendoutreturndetail.QueryTblLendOutReturnDetailVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 借转还订单明细 Mapper 接口
 * </p>
 *
 * @author Tang,Shuai
 */
public interface TblLendOutReturnDetailMapper extends BaseMapper<TblLendOutReturnDetail> {

	/**
     * 查询列表
     * @param vo
     * @return
     */
    List<TblLendOutReturnDetail> query(@Param("vo") QueryTblLendOutReturnDetailVo vo);
}
