package com.ruoyi.model.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 金额明细对象 applet_amount_log
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Data
public class AppletAmountLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /** 唯一标识 */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal amount;

    /** 类型 */
    @Excel(name = "类型")
    private Integer type;

    /** 删除标识 */
    private Integer delFlag;

    /** 用户标识 */
    @Excel(name = "用户标识")
    private Long userId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;


    /** 钱包类型 */
    @Excel(name = "钱包类型")
    private Integer moneyType;

    /** 提现者姓名 */
    @Excel(name = "提现者姓名")
    private String nameValue;
}
