package com.ruoyi.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 考核题库对象 applet_question
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Data
public class AppletQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 题目标题 */
    @Excel(name = "题目标题")
    private String title;

    /** 题目类型 */
    @Excel(name = "题目类型")
    private String type;

    /** 排序编号 */
    @Excel(name = "排序编号")
    private Long orderNo;

    /** 删除标识 */
    private Integer delFlag;

    /** 删除标识 */
    private Integer numberWords;


    @TableField(exist = false)
    private List<AppletAnswer> answerList;


    @TableField(exist = false)
    private List<AppletAnswerBase> userAnswerBaseList;

    @TableField(exist = false)
    private AppletAnswerTrain userAppletAnswerTrain;

//    public void setId(Long id)
//    {
//        this.id = id;
//    }
//
//    public Long getId()
//    {
//        return id;
//    }
//    public void setTitle(String title)
//    {
//        this.title = title;
//    }
//
//    public String getTitle()
//    {
//        return title;
//    }
//    public void setType(String type)
//    {
//        this.type = type;
//    }
//
//    public String getType()
//    {
//        return type;
//    }
//    public void setOrderNo(Long orderNo)
//    {
//        this.orderNo = orderNo;
//    }
//
//    public Long getOrderNo()
//    {
//        return orderNo;
//    }
//    public void setDelFlag(Integer delFlag)
//    {
//        this.delFlag = delFlag;
//    }
//
//    public Integer getDelFlag()
//    {
//        return delFlag;
//    }
//
//    @Override
//    public String toString() {
//        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
//            .append("id", getId())
//            .append("title", getTitle())
//            .append("type", getType())
//            .append("orderNo", getOrderNo())
//            .append("delFlag", getDelFlag())
//            .append("createBy", getCreateBy())
//            .append("createTime", getCreateTime())
//            .append("updateBy", getUpdateBy())
//            .append("updateTime", getUpdateTime())
//            .toString();
//    }
}
