package com.ruoyi.model.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class AppletUsersTeacher {
    private static final long serialVersionUID = 1L;
    /** 标识 */
    private Long id;

    /** 关联用户 */
    @Excel(name = "关联用户")
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 性别 */
    @Excel(name = "性别")
    private Long sex;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 养宠经验 */
    @Excel(name = "养宠经验")
    private String experience;

    /** 是否有专业执照 */
    @Excel(name = "是否有专业执照")
    private Long isHave;

    /** 个人宠物类型 */
    @Excel(name = "个人宠物类型")
    private String petType;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long status;

    /** 审核图片 */
    @Excel(name = "审核图片")
    private String images;

    /** 创建时间 */
    private LocalDateTime createTime;

    /** 所在地区 */
    @Excel(name = "所在地区")
    private String area;

    /** 审核时间 */
    private LocalDateTime updateTime;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 创建人 */
    private String createBy;

    /** 修改人 */
    private String updateBy;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 专业执照选项 */
    @Excel(name = "专业执照选项")
    private String license;



    /** 个人简介绍 */
    @Excel(name = "个人简介绍")
    private String userBrief;

    /** 被点赞次数 */
    @Excel(name = "被点赞次数")
    private Integer thumbsUp;


    @TableField(exist = false)
    private List<AppletQuestion> answerList;


    @TableField(exist = false)
    private String userName;

}
