package com.cyl.h5.controller;

import com.cyl.h5.service.H5CouponService;
import com.cyl.h5.service.H5MemberCouponService;
import com.cyl.manager.marketing.domain.WechatStock;
import com.cyl.manager.ums.domain.Member;
import com.cyl.manager.ums.service.MemberService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 商家券
 * 
 * @author daixiande
 * @date 2024-05-06
 */
//@Api("商家券")
@RestController
@RequestMapping("/no-auth/h5/coupon")
@Slf4j
public class H5CouponForNoAuthController extends BaseController
{
    @Autowired
    private H5CouponService h5CouponService;

    @Autowired
    private H5MemberCouponService h5MemberCouponService;

    @Autowired
    private MemberService memberService;

    /**
     * 查询商家券列表
     */
//    @ApiOperation("查询商家券列表")
    @GetMapping("/list")
    public AjaxResult list()
    {
        startPage();
        WechatStock ws = new WechatStock();

        Member member = null;

        List<WechatStock> list = h5CouponService.selectWechatStocktForGet(member);


        return AjaxResult.success(list);
    }

}
