package com.cyl.h5.pojo.vo.form;

import com.cyl.h5.pojo.dto.OrderProductListDTO;
import com.cyl.h5.pojo.dto.PetOrderServiceDTO;
import com.cyl.h5.pojo.dto.ServiceInfoDTO;
import com.cyl.manager.ums.pojo.dto.MemberAddressDTO;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class AppointmentSubmitForm {

    @NotNull
    private String openId;

    private String note;

    @NotNull
    private Long addressId;

//    private ServiceInfoDTO service;

    private String totalPrice;

//    @NotEmpty
//    private List<OrderProductListDTO> skuList;


    /** 是否提前熟悉 */
    private Boolean needPreFamiliarize;

    /** 选中的优惠券 */
    private Integer couponId;

    // 1、选中的宠物、2服务日期3、期望时间
    /** 宠物服务列表 */
    private List<PetOrderServiceDTO> petOrderServices;



    //指定伴宠师
    private Long teacherId;

    //伴宠师等级
    private int companionLevel;

    //todo 预留字段 1、订单派单方式 2、伴宠师名字（用于展示），3、伴宠师 ID
}