package com.cyl.manager.ums.convert;

import com.cyl.manager.ums.domain.MemberDoorLock;
import com.cyl.manager.ums.pojo.dto.MemberDoorLockDTO;
import org.mapstruct.Mapper;
import com.cyl.manager.ums.domain.MemberDoorLock;
import com.cyl.manager.ums.pojo.dto.MemberDoorLockDTO;
/**
 * 门锁信息  DO <=> DTO <=> VO / BO / Query
 *
 * @author daixiande
 */
@Mapper(componentModel = "spring")
public interface MemberDoorLockConvert  {

    /**
     * @param source DO
     * @return DTO
     */
    MemberDoorLockDTO do2dto(MemberDoorLock source);

    /**
     * @param source DTO
     * @return DO
     */
    MemberDoorLock dto2do(MemberDoorLockDTO source);
}
