import { PageVo } from '@/api/model/pageVo';

export interface QueryTblLendOutReturnDetailVo extends PageVo {

    /**
     * 退货单ID
     */
     returnId: string;

    /**
     * 商品ID
     */
     productId: string;

    /**
     * 退货数量
     */
     returnNum: number;

    /**
     * 原价
     */
     oriPrice: number;

    /**
     * 现价
     */
     taxPrice: number;

    /**
     * 折扣率（%）
     */
     discountRate: number;

    /**
     * 是否赠品
     */
     isGift: number;

    /**
     * 税率（%）
     */
     taxRate: number;

    /**
     * 备注
     */
     description: string;

    /**
     * 排序编号
     */
     orderNo: number;

    /**
     * 结算状态
     */
     settleStatus: number;

}
