package com.ruoyi.applet.mallpojo;

import com.ruoyi.model.domain.AppletUsersTeacher;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TeacherListRequest extends AppletUsersTeacher {

    //时间
    @ApiModelProperty(value = "时间")
    List<String> timeArray;


    String  selectedDate;
    //姓名
    @ApiModelProperty(value = "姓名")
    String staffName;
    //性别
    @ApiModelProperty(value = "性别")
    Long sex;

    //宠物类型 1猫咪，2狗狗
    @ApiModelProperty(value = "宠物类型 1猫咪，2狗狗")
    String petTypes;
    //经度
    @ApiModelProperty(value = "经度")
    String longitude;
    //纬度
    @ApiModelProperty(value = "纬度")
    String latitude;


    //伴宠师级别
    @ApiModelProperty(value = "伴宠师级别")
    Integer teacherLevels;
}
