package com.ruoyi.model.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 配置信息对象 applet_config
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
@Data
public class AppletConfig
{
    private static final long serialVersionUID = 1L;

//    /** 唯一标识 */
//    private Long id;
//
//    /** 说明 */
//    @Excel(name = "说明")
//    private String paramValue;
//
//    /** 参数编码 */
//    @Excel(name = "参数编码")
//    private String paramCode;
//
//    /** 参数值-普通文本 */
//    @Excel(name = "参数值-普通文本")
//    private String paramValueText;
//
//    /** 参数值-图片 */
//    @Excel(name = "参数值-图片")
//    private String paramValueImage;
//
//    /** 参数值-富文本 */
//    @Excel(name = "参数值-富文本")
//    private String paramValueArea;
//
//    /** 删除标识 */
//    private Integer delFlag;
//
//    public void setId(Long id)
//    {
//        this.id = id;
//    }
//
//    public Long getId()
//    {
//        return id;
//    }
//    public void setParamValue(String paramValue)
//    {
//        this.paramValue = paramValue;
//    }
//
//    public String getParamValue()
//    {
//        return paramValue;
//    }
//    public void setParamCode(String paramCode)
//    {
//        this.paramCode = paramCode;
//    }
//
//    public String getParamCode()
//    {
//        return paramCode;
//    }
//    public void setParamValueText(String paramValueText)
//    {
//        this.paramValueText = paramValueText;
//    }
//
//    public String getParamValueText()
//    {
//        return paramValueText;
//    }
//    public void setParamValueImage(String paramValueImage)
//    {
//        this.paramValueImage = paramValueImage;
//    }
//
//    public String getParamValueImage()
//    {
//        return paramValueImage;
//    }
//    public void setParamValueArea(String paramValueArea)
//    {
//        this.paramValueArea = paramValueArea;
//    }
//
//    public String getParamValueArea()
//    {
//        return paramValueArea;
//    }
//    public void setDelFlag(Integer delFlag)
//    {
//        this.delFlag = delFlag;
//    }
//
//    public Integer getDelFlag()
//    {
//        return delFlag;
//    }
//
//    @Override
//    public String toString() {
//        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
//            .append("id", getId())
//            .append("paramValue", getParamValue())
//            .append("paramCode", getParamCode())
//            .append("paramValueText", getParamValueText())
//            .append("paramValueImage", getParamValueImage())
//            .append("paramValueArea", getParamValueArea())
//            .append("delFlag", getDelFlag())
//            .append("createBy", getCreateBy())
//            .append("createTime", getCreateTime())
//            .append("updateBy", getUpdateBy())
//            .append("updateTime", getUpdateTime())
//            .toString();
//    }
    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paramCode;

    /** 参数值-普通文本 */
    @Excel(name = "参数值-普通文本")
    private String paramValueText;

    /** 参数值-图片 */
    @Excel(name = "参数值-图片")
    private String paramValueImage;

    /** 参数值-富文本 */
    @Excel(name = "参数值-富文本")
    private String paramValueArea;

    /** 标识 */
    private Long id;

    /** 参数说明 */
    @Excel(name = "参数说明")
    private String paramValue;

    /** 删除标识 */
    private Integer delFlag;

    /** 参数值-数值 */
    @Excel(name = "参数值-数值")
    private Integer paramValueNum;

    /** 参数值-百分比 */
    @Excel(name = "参数值-百分比")
    private BigDecimal paramValueNo;

    /** 分类 */
    @Excel(name = "分类")
    private String paramClass;


    /** 创建人 */
    private String createBy;

    /** 创建时间 */
    private LocalDateTime createTime;


    /** 修改时间 */
    private LocalDateTime updateTime;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updateBy;
}
