package com.ruoyi.model.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.model.domain.AppletAnswerBase;

/**
 * 用户基本考核答案Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-28
 */
public interface AppletAnswerBaseMapper extends BaseMapper<AppletAnswerBase> {
    /**
     * 查询用户基本考核答案
     * 
     * @param id 用户基本考核答案主键
     * @return 用户基本考核答案
     */
    public AppletAnswerBase selectAppletAnswerBaseById(Long id);

    /**
     * 查询用户基本考核答案列表
     * 
     * @param appletAnswerBase 用户基本考核答案
     * @return 用户基本考核答案集合
     */
    public List<AppletAnswerBase> selectAppletAnswerBaseList(AppletAnswerBase appletAnswerBase);

    /**
     * 新增用户基本考核答案
     * 
     * @param appletAnswerBase 用户基本考核答案
     * @return 结果
     */
    public int insertAppletAnswerBase(AppletAnswerBase appletAnswerBase);

    /**
     * 修改用户基本考核答案
     * 
     * @param appletAnswerBase 用户基本考核答案
     * @return 结果
     */
    public int updateAppletAnswerBase(AppletAnswerBase appletAnswerBase);

    /**
     * 删除用户基本考核答案
     * 
     * @param id 用户基本考核答案主键
     * @return 结果
     */
    public int deleteAppletAnswerBaseById(Long id);

    /**
     * 批量删除用户基本考核答案
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletAnswerBaseByIds(Long[] ids);
}
