package com.cyl.h5.pojo.request;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StaffAddressRequest {


    @ApiModelProperty("MEMBER_ID 精确匹配")
    private Long staffId;

    @ApiModelProperty("收货人名称 精确匹配")
    private String nameLike;

    @ApiModelProperty("PHONE 精确匹配")
    private String phone;

    @ApiModelProperty("EMERGENCYPHONE 精确匹配")
    private String emergencyPhone;

    @ApiModelProperty("微信OPENID")
    private String openId;

    @ApiModelProperty("是否为默认 精确匹配")
    private Integer defaultStatus;

    @ApiModelProperty("邮政编码 精确匹配")
    private String postCode;

    @ApiModelProperty("省份/直辖市 精确匹配")
    private String province;

    @ApiModelProperty("城市 精确匹配")
    private String city;

    @ApiModelProperty("区 精确匹配")
    private String district;

    @ApiModelProperty("详细地址 精确匹配")
    private String detailAddress;

    @ApiModelProperty("是否默认 精确匹配")
    private Integer isDefault;

}
