package com.cyl.h5.pojo.request;

import com.cyl.h5.pojo.dto.TrainCheckAnswerDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class TrainCheckAnswerRequest {

    @ApiModelProperty(value = "用户id")
    @NotNull
    private Long staffId;

    @ApiModelProperty(value = "答案列表")
    @NotEmpty(message = "答案不能为空")
    private List<TrainCheckAnswerDTO> answerList;
}
