package com.cyl.manager.staff.domain.dto;

import com.cyl.h5.pojo.dto.TrainCheckAnswerDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class StaffAnswerAuditDTO {

    @ApiModelProperty(value = "记录id")
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "留言")
    private String remark;

    @ApiModelProperty(value = "审核结果")
    @NotEmpty(message = "审核结果不能为空")
    private List<TrainCheckAnswerDTO> list;

    @ApiModelProperty(value = "是否通过")
    @NotNull(message = "是否通过,true和false")
    private Boolean passed;
}
