package com.cyl.manager.ums.pojo.vo;

import java.math.BigDecimal;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;
/**
 * 宠物服务档案 数据视图对象
 * 
 * @author daixiande
 */
@Data
public class PetCareVO  {
    private Integer id;
    private Integer petId;
    private Boolean includeDryFood;
    private String dryFoodLocation;
    private String dryFoodFeedWeight;
    private Integer dryFoodFeedFrequencyDays;
    private Integer dryFoodFeedFrequencyTimes;
    private String dryFoodRemarks;
    private Boolean includeWetFood;
    private String wetFoodLocation;
    private BigDecimal wetFoodFeedWeight;
    private Integer wetFoodFeedFrequencyDays;
    private Integer wetFoodFeedFrequencyTimes;
    private String wetFoodRemarks;
    private Boolean includeHomemadeFood;
    private String homemadeFoodLocation;
    private String homemadeFoodInstructions;
    private Boolean includeRawMeat;
    private String rawMeatLocation;
    private String rawMeatFeedingInstructions;
    private Boolean includeHealthSupplements;
    private String healthSupplementsLocation;
    private String healthSupplementsFeedingInstructions;
    private Boolean includeSnacks;
    private String snacksLocation;
    private String snacksFeedingMethod;
    private String otherRemark;
    private String feedingTrayAutomaticFeederLocation;
    private String feedingTrayAutomaticFeederRemarks;
    private String waterBowlLocation;
    private String waterBowlRemarks;
    private Boolean cleaningRequirements;
    private String litterBoxLocation;
    private Integer litterBoxChangeFrequencyDays;
    private Integer litterBoxChangeFrequencyTimes;
    private String litterBoxRemarks;
    private String peePadLocation;
    private Boolean changePeePad;
    private String peePadRemarks;
    private Boolean additionalService;
    /** 是否陪玩*/
    @Excel(name = "是否陪玩")
    private Boolean playtimeService;
    private String playtimeToolsLocation;
    private String playtimeRequirements;
    private Boolean furCleaningService;
    private String furCleaningToolsLocation;
    private String furCleaningRequirements;
    private Boolean groomingService;
    private String groomingToolsLocation;
    private String groomingRequirements;
    private Boolean deepCleaningService;
    private Boolean administerMedication;
    private String deepCleaningRemarks;
    private String deepCleaningToolsLocation;
    private String administerMedicationLocation;
    private String administerMedicationRemarks;
    private String additionalServicesPlacement;
    private String additionalServicesPlacementRemark;
    private String additionalServicesRemarks;

    /** 是否更换猫砂 */
    @Excel(name = "厕所、猫砂摆放位置-图片")
    private Boolean changeLitterBox;

    /** 尿垫砂更换频次_天 */
    @Excel(name = "尿垫更换频次_天")
    private Integer peePadFrequencyDays;

    /** 尿垫更换频次_次 */
    @Excel(name = "尿垫更换频次_次")
    private Integer peePadFrequencyTimes;

    @Excel(name = "遛狗时长")
    private Boolean isWalkDogDuration;

    @Excel(name = "狗狗行为")
    private Boolean  isDogBehavior;

    @Excel(name = "偏好区域")
    private Boolean isFavoriteRegion;

    @Excel(name = "偏好路线")
    private Boolean isFavoriteRoute;

    @Excel(name = "狗狗雨具位置")
    private String dogRainGearLocation;

    @Excel(name = "下雨天遛狗要求")
    private String walkDogRainRemark;

    /** 是否遛狗服务 */
    @Excel(name = "是否遛狗服务")
    private Boolean walkDog;

    /** 遛狗用品摆放位置 */
    @Excel(name = "遛狗用品摆放位置")
    private String walkDogToolsLocation;

    /** 是否雨天遛狗 */
    @Excel(name = "是否雨天遛狗")
    private Boolean walkDogRainyDay;

    /** 遛狗时长 */
    @Excel(name = "遛狗时长")
    private String walkDogDuration;

    /** 狗狗行为 */
    @Excel(name = "狗狗行为")
    private String dogBehavior;

    /** 偏好区域 */
    @Excel(name = "偏好区域")
    private String favoriteRegion;

    /** 偏好路线 */
    @Excel(name = "偏好路线")
    private String favoriteRoute;


}
